Mailinglist Archive: opensuse (2912 mails)

< Previous Next >
Re: [SLE] Help to install Firefox and Flashplayer 7
  • From: "Carl E. Hartung" <suselinux@xxxxxxxxxxxxx>
  • Date: Sun, 06 Feb 2005 17:42:33 -0500
  • Message-id: <42069D59.4010407@xxxxxxxxxxxxx>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Michel,


| I want to switch from Mozilla to Firefox
<snip>

Why switch? I run both. I use Mozilla's calendar and e-mail clients
and see no reason to change them yet.

<snip>
| -- For Firefox : should install it as root ? if so do I've - as I read -
| to install it in a folder

You should install an rpm package of Firefox with YaST and not worry
about locations or configuring permissions. This will all be done
automatically, just like it was with Mozilla.

<snip>
| -- For Flashplayer : I read two different install instructions :
| - the first one - mozdev installation note - tells to copy the two files
| : "libflashplayer.so"
| and "flashplayer.xpt" in the "plugin" folder of the installation ! Do
| they speak of the
| "~/.mozilla/firefox/plugin" folder or of the
| "/usr/local/mozilla/firefox/plugin" folder ?
<snip>

They go in the central plug-ins repository, /usr/lib/browser-plugins.
You soft-link to them from the browser's plug-ins directory, in this
case probably /opt/MozillaFirefox/lib/plugins

Here's what my setup looks like in opt/MozillaFirefox/lib/plugins :

flashplayer.xpt -> /usr/lib/browser-plugins/flashplayer.xpt
libflashplayer.so -> /usr/lib/browser-plugins/libflashplayer.so
libjavaplugin_oji.so ->
/usr/lib/jvm/java-1.4.2-sun-1.4.2.06/jre/plugin/i386/ns610-gcc32/libjavaplugin_oji.so
libmozilla_bonobo.so -> /usr/lib/browser-plugins/libmozilla_bonobo.so
libnptcl3.0.so -> /usr/lib/browser-plugins/libnptcl3.0.so
libnullplugin.so
mplayerplug-in.so -> /usr/lib/browser-plugins/mplayerplug-in.so
nphelix.so -> /usr/lib/browser-plugins/nphelix.so
nphelix.xpt -> /usr/lib/browser-plugins/nphelix.xpt
nppdf.so -> /usr/X11R6/lib/Acrobat5/Browsers/intellinux/nppdf.so
nsdejavu.so -> /usr/lib/browser-plugins/nsdejavu.so

<snip>
| - Furthermore, if I install the flashplayer with the installer I'm told
| that I need to install
| the packages "ttfonts" and "urw-fonts", is it necessary? if yes where do
| I find these
| packages for SuSE 9.2 Pro ?
<snip>

You'll need to verify this, but you probably already have the free MS
TrueType fonts installed. I'm late for dinner, so I'll let someone else
answer the "urw-fonts" question.


HTH & regards,

- - Carl

- --
____________________________________________________________________
C. E. Hartung Business Development & Support Services
http://www.cehartung.com/ carlh@xxxxxxxxxxxxx
Dover Foxcroft, Maine, USA Public Key #0x68396713
Reg. Linux User #350527 http://counter.li.org/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFCBp1Zusxgymg5ZxMRAiJcAJ0UZ3GgHYTLMJh7rfiuysffznrXqwCeOlli
E5eT4MEvBi+mZeOTAAMPnoc=
=w8ZX
-----END PGP SIGNATURE-----

< Previous Next >
This Thread
Follow Ups
References